QwtPlotPanner(3)

NAME
QwtPlotPanner - QwtPlotPanner provides panning of a plot canvas.

SYNOPSIS

#include <qwt_plot_panner.h>

Inherits QwtPanner.

  Public Slots
virtual void moveCanvas (int dx, int dy)

  Public Member Functions
QwtPlotPanner (QWidget *)
A panner for the canvas of a QwtPlot.
virtual ~QwtPlotPanner ()
Destructor.
QWidget * canvas ()
Return observed plot canvas.
const QWidget * canvas () const
Return Observed plot canvas.
QwtPlot * plot ()
Return plot widget, containing the observed plot canvas.
const QwtPlot * plot () const
Return plot widget, containing the observed plot canvas.
void setAxisEnabled (QwtAxisId axisId, bool on)
En/Disable an axis.
bool isAxisEnabled (QwtAxisId) const

  Protected Member Functions
virtual QBitmap contentsMask () const override
virtual QPixmap grab () const override

  Additional Inherited Members

Detailed Description

QwtPlotPanner provides panning of a plot canvas. QwtPlotPanner is a panner for a plot canvas, that adjusts the scales of the axes after dropping the canvas on its new position.

Together with QwtPlotZoomer and QwtPlotMagnifier powerful ways of navigating on a QwtPlot widget can be implemented easily.

Note
    The axes are not updated, while dragging the canvas

See also
    QwtPlotZoomer, QwtPlotMagnifier

Definition at line 32 of file qwt_plot_panner.h.

Constructor & Destructor Documentation

  QwtPlotPanner::QwtPlotPanner (QWidget * canvas) [explicit]

A panner for the canvas of a QwtPlot. The panner is enabled for all axes

Parameters
    canvas Plot canvas to pan, also the parent object

See also
    setAxisEnabled()

Definition at line 128 of file qwt_plot_panner.cpp.

Member Function Documentation

  QBitmap QwtPlotPanner::contentsMask () const [override], [protected], [virtual]
Calculate a mask from the border path of the canvas

Returns
    Mask as bitmap

See also
    QwtPlotCanvas::borderPath()

Reimplemented from QwtPanner.

Definition at line 267 of file qwt_plot_panner.cpp.

  QPixmap QwtPlotPanner::grab () const [override], [protected], [virtual]

Returns
    Pixmap with the content of the canvas

Reimplemented from QwtPanner.

Definition at line 278 of file qwt_plot_panner.cpp.

  bool QwtPlotPanner::isAxisEnabled (QwtAxisId axisId) const
Test if an axis is enabled

Parameters
    axisId Axis

Returns
    True, if the axis is enabled

See also
    setAxisEnabled(), moveCanvas()

Definition at line 168 of file qwt_plot_panner.cpp.

  void QwtPlotPanner::moveCanvas (int dx, int dy) [virtual], [slot]
Adjust the enabled axes according to dx/dy

Parameters
    dx Pixel offset in x direction
    dy Pixel offset in y direction

See also
    QwtPanner::panned()

Definition at line 216 of file qwt_plot_panner.cpp.

  void QwtPlotPanner::setAxisEnabled (QwtAxisId axisId, bool on)

En/Disable an axis. Axes that are enabled will be synchronized to the result of panning. All other axes will remain unchanged.

Parameters
    axisId Axis id
    on On/Off

See also
    isAxisEnabled(), moveCanvas()

Definition at line 154 of file qwt_plot_panner.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.